require 'roar/representer/json'
require 'billit_representers/representers/cl/paperwork_representer'
require 'billit_representers/models/cl/paperwork'

module Billit
  module Cl
    module PaperworkPageRepresenter
      # include Roar::Representer
      include Roar::Representer::JSON
      include Roar::Representer::Feature::Hypermedia

      module Initializer
        def initialize
          extend Billit::Cl::PaperworkPageRepresenter
          extend Roar::Representer::Feature::Client
          super
        end
      end

      def self.included(klass)
        klass.send :prepend, Initializer
        klass.send :include, Roar::Representer::Feature::HttpVerbs
      end
     
      collection :paperworks, :extend => Billit::Cl::PaperworkRepresenter, :class => Billit::Cl::Paperwork

      def paperworks
        collect
      end
    end
  end
end